mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.Messaging.InternalMessageWrapper System.Runtime.Remoting.Messaging.IMethodCallMessage System.Runtime.InteropServices.ComVisible(true)

The class is used by the remoting infrastructure of the .NET Framework. You do not need to create an instance of the class directly; instead, use the interface.

wraps remoting data for passing between message sinks. A remoting client sends a message to a server.

Implements the interface to create a request message that acts as a method call on a remote object.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class is used by the remoting infrastructure of the .NET Framework. You do not need to create an instance of the class directly; instead, use the interface.

  Initializes a new instance of the class by wrapping an interface.

  A message that acts as an outgoing method call on a remote object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  The method belongs to a remote object.

  Gets the number of arguments passed to the method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added.

  The method belongs to a remote object.

  Gets an array of arguments passed to the method.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method belongs to a remote object.

  Gets a method argument, as an object, at a specified index.

  The method argument as an object.

  The index of the requested argument.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method belongs to a remote object.

  Gets the name of a method argument at a specified index.

  The name of the method argument.

  The index of the requested argument.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method belongs to a remote object.

  Gets a method argument at a specified index that is not marked as an out parameter.

  The method argument that is not marked as an out parameter.

  The index of the requested argument.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The method belongs to a remote object.

  Gets the name of a method argument at a specified index that is not marked as an out parameter.

  The name of the method argument that is not marked as an out parameter.

  The index of the requested argument.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  The method belongs to a remote object.

  Gets a value indicating whether the method can accept a variable number of arguments.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  The method belongs to a remote object.

  Gets the number of arguments in the method call that are not marked as out parameters.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] To be added: an object of type 'object []'

  The method belongs to a remote object.

  Gets an array of arguments in the method call that are not marked as out parameters.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Messaging.LogicalCallContext To be added: an object of type 'LogicalCallContext'

  The method belongs to a remote object.

  Gets the for the current method call.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase To be added: an object of type 'Reflection.MethodBase'

  The method belongs to a remote object.

  Gets the of the called method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The method belongs to a remote object.

  Gets the name of the invoked method.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  The method belongs to a remote object.

  Gets an object that contains the method signature.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IDictionary To be added: an object of type 'Collections.IDictionary'

  The message acts as a request method call on a remote object.

  An that represents a collection of the remoting message's properties.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the full type name of the remote object on which the method call is being made.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the Uniform Resource Identifier (URI) of the remote object on which the method call is being made.